Xen Shell - Feature # 173: More locales supported in xen-shell

Status: Resolved Priority: Low
Author: gjen Category:
Created: 2019-01-01 Assigned to: admin
Updated: 2019-01-02 Due date:
Subject: More locales supported in xen-shell
Description: Xen-shell is currently giving me the following warnings when logging in:
<pre>
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_GB:en",
LC_ALL = (unset),
LC_TIME = "en_DK.UTF-8",
LC_MONETARY = "en_DK.UTF-8",
LC_MEASUREMENT = "en_DK.UTF-8",
LC_NUMERIC = "en_DK.UTF-8",
LC_PAPER = "en_DK.UTF-8",
LANG = "en_GB.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_GB.UTF-8").
xen-shell v1.48bitfolk48 - type 'help' for help.
</pre>
| see this "all the time" on new debian-installations without the locales-all package installed. It's no big deal,
but it will make things a bit smoother for people with "slightly weird" locales if you could make sure xen-shell
machines had locales-all installed.
History

2019-01-02 15:59 - admin

- Status changed from New to In Progress

- Assigned to set to admin

I've installed locales-all on your particular host. Please can you try again and see if the errors are gone now? If so I'll install it on all the hosts.

2019-01-02 16:17 - gjen

Thanks! Works like a charm.

2019-01-02 16:25 - admin

- Status changed from In Progress to Resolved

OK, thanks, now installed on all of them.
